export default class User {

	constructor(asUserInfo = {}, sDefaultTimeZone = '') {
		this.setInfo(asUserInfo);
		this.timezone = Intl.DateTimeFormat().resolvedOptions().timeZone || this.timezone || sDefaultTimeZone;
	}

	setInfo(asUserInfo = {}) {
		Object.assign(this, asUserInfo);
	}

	hasClearance(sClearance) {
		return this.clearance >= sClearance;
	}
}
